X2Go Bug report logs - #108
Missing fonts in X application

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Stephane Mutz <stephane.mutz@blinksight.com>

Date: Wed, 23 Jan 2013 09:03:01 UTC

Severity: normal

Tags: pending

Found in version 4.0.2.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#108; Package x2goclient. (Wed, 23 Jan 2013 09:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to Stephane Mutz <stephane.mutz@blinksight.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 23 Jan 2013 09:03:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Stephane Mutz <stephane.mutz@blinksight.com>
To: submit@bugs.x2go.org
Subject: Missing fonts in X application
Date: Wed, 23 Jan 2013 09:53:55 +0100
Package: x2goclient

Setup: X2go server on Ubuntu 12.10, client on Win7

Issue: One of our CAD application displays unreadable text. When trying
to select another font, only one is available. xlsfonts also reports only a
few fonts. The application works fine locallyor when using a Linux X2go 
client
and xlsfonts shows a long list of fonts.

How to solve: Install the 'font' directory from the VcXsrv mainline package.
After that, the application shows readable text and provides a large 
selection
of alternative fonts.

I think it would be good to bring the Windows and Linux client closer by 
shipping
a more complete VcXsrv with it or at least offering the option.



Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#108; Package x2goclient. (Wed, 23 Jan 2013 11:18:02 GMT) (full text, mbox, link).


Acknowledgement sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 23 Jan 2013 11:18:02 GMT) (full text, mbox, link).


Message #10 received at 108@bugs.x2go.org (full text, mbox, reply):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: x2go-dev@lists.berlios.de, 108@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#108: Missing fonts in X application
Date: Wed, 23 Jan 2013 12:09:02 +0100
Am 23.01.2013 09:53, schrieb Stephane Mutz:

> Issue: One of our CAD application displays unreadable text. When trying
> to select another font, only one is available. xlsfonts also reports only a
> few fonts. The application works fine locallyor when using a Linux X2go
> client
> and xlsfonts shows a long list of fonts.
>
> How to solve: Install the 'font' directory from the VcXsrv mainline
> package.
> After that, the application shows readable text and provides a large
> selection
> of alternative fonts.
>
> I think it would be good to bring the Windows and Linux client closer by
> shipping
> a more complete VcXsrv with it or at least offering the option.

This reminds me of an issue with NoMachine's NX Client.  I'm not sure if 
they still do so, but they used to offer separate font packages for 
download on the same page as their Windows client.  The note next to 
them said that you'd only need them for really old X applications that 
require client-side fonts; all modern applications would use server-side 
fonts and work fine without these extra packages.

Out of curiosity, how old is your application?  Maybe there is a way to 
make it work with server-side fonts?

-Stefan

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#108; Package x2goclient. (Mon, 27 Jan 2014 02:20:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 27 Jan 2014 02:20:01 GMT) (full text, mbox, link).


Message #15 received at 108@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 108@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#108: Missing fonts in X application
Date: Sun, 26 Jan 2014 21:16:41 -0500
Hi Stephane, I'm the new Win32 package maintainer for X2Go Client.

I see that you worked around this issue by copying over VcXsrv's fonts folder:
https://lists.berlios.de/pipermail/x2go-user/2013-January/001253.html

I've experienced this bug too with ClearCase 8.0.0's "xclearcase" GUI.
It is a very old UNIX/Linux GUI and it uses motif.

My successful workaround was to both install a bunch of fonts packages
server-side (including international fonts,) and to copy over the
fonts directory.

Still, I believe that we should take the same approach that NX did and
provide a seperate setup.exe containing the extra fonts. Unless there
are any objections, that will officially be on my to do list as the
win32 package maintainer.

Note that I do not want to include the fonts in the main X2Go Client
setup.exe because:
1. They are 4,673 files, which would add a lot to the installation time
2. They are 32MB compressed with 7-zip, so they would add that much
space or more. (X2goclient 4.0.1.3's setup .exe is only 23MB).

For reference to others who need to copy fonts:
- X2Go Client 4.0.0.3 uses VcXsrv 1.12.0.1
- X2Go Client 4.0.1.2 and 4.0.1.3 use VcXsrv 1.14.2.1.

-Mike#2


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#108; Package x2goclient. (Mon, 27 Jan 2014 09:15:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 27 Jan 2014 09:15:02 GMT) (full text, mbox, link).


Message #20 received at 108@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Michael DePaulo <mikedep333@gmail.com>, 108@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#108: Bug#108: Missing fonts in X application
Date: Mon, 27 Jan 2014 09:14:42 +0000
[Message part 1 (text/plain, inline)]
Hi Mike#2,

On  Mo 27 Jan 2014 03:16:41 CET, Michael DePaulo wrote:

> Hi Stephane, I'm the new Win32 package maintainer for X2Go Client.
>
> I see that you worked around this issue by copying over VcXsrv's  
> fonts folder:
> https://lists.berlios.de/pipermail/x2go-user/2013-January/001253.html
>
> I've experienced this bug too with ClearCase 8.0.0's "xclearcase" GUI.
> It is a very old UNIX/Linux GUI and it uses motif.
>
> My successful workaround was to both install a bunch of fonts packages
> server-side (including international fonts,) and to copy over the
> fonts directory.
>
> Still, I believe that we should take the same approach that NX did and
> provide a seperate setup.exe containing the extra fonts. Unless there
> are any objections, that will officially be on my to do list as the
> win32 package maintainer.
>
> Note that I do not want to include the fonts in the main X2Go Client
> setup.exe because:
> 1. They are 4,673 files, which would add a lot to the installation time
> 2. They are 32MB compressed with 7-zip, so they would add that much
> space or more. (X2goclient 4.0.1.3's setup .exe is only 23MB).
>
> For reference to others who need to copy fonts:
> - X2Go Client 4.0.0.3 uses VcXsrv 1.12.0.1
> - X2Go Client 4.0.1.2 and 4.0.1.3 use VcXsrv 1.14.2.1.
>
> -Mike#2

Wouldn't the best approach be a .git project on git.x2go.org that  
includes the fonts and two nsis scripts (one for PyHoca, one for X2Go  
Client)?

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#108; Package x2goclient. (Mon, 27 Jan 2014 15:10:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 27 Jan 2014 15:10:02 GMT) (full text, mbox, link).


Message #25 received at 108@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 108@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#108: Bug#108: Missing fonts in X application
Date: Mon, 27 Jan 2014 10:06:54 -0500
On Mon, Jan 27, 2014 at 4:14 AM, Mike Gabriel
<mike.gabriel@das-netzwerkteam.de> wrote:
>> Still, I believe that we should take the same approach that NX did and
>> provide a seperate setup.exe containing the extra fonts. Unless there
>> are any objections, that will officially be on my to do list as the
>> win32 package maintainer.
>
> Wouldn't the best approach be a .git project on git.x2go.org that includes
> the fonts and two nsis scripts (one for PyHoca, one for X2Go Client)?
>

Yes, I agree. But as long as PyHoca and X2Go Client use separate
VcXsrv versions, I will use 2 fonts directories. Note that the fonts
dirs do actually differ between VcXsrv releases.


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#108; Package x2goclient. (Fri, 11 Apr 2014 13:10:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 11 Apr 2014 13:10:02 GMT) (full text, mbox, link).


Message #30 received at 108@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 108@bugs.x2go.org
Subject: Question
Date: Fri, 11 Apr 2014 09:05:14 -0400
I intend to fix this bug soon, but 1st I am hoping someone knows the
answer to this question:

How does VcXsrv even work when there are no fonts installed?

I read this in a user review of VcXsrv on sf.net by user ausback:
VcXsrv comes with fonts that render the screen exactly as it is
rendered by the native Xorg server. Xming used Windows XP fonts which
looked pretty good but weren't the right size. Overall, I rate VcXsrv
vastly superior to Xming.

So presumably, VcXsrv uses the Windows XP/vista/7/etc fonts when its
own fonts are not installed.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#108; Package x2goclient. (Thu, 05 Jun 2014 13:30:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 05 Jun 2014 13:30:01 GMT) (full text, mbox, link).


Message #35 received at 108@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 108@bugs.x2go.org
Subject: Workaround builds for X2Go Client 4.0.2.0
Date: Thu, 5 Jun 2014 09:25:14 -0400
I forgot to mention this earlier.

I created separate builds of X2Go Client 4.0.2.0 with the fonts:
http://wiki.x2go.org/doku.php/doc:release-notes-mswin:x2goclient-4.0.2.0#available_builds

This is probably just going to be a temporary measure, so I am not
marking this bug resolved yet.

-Mike#2


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#108; Package x2goclient. (Sun, 29 Jun 2014 19:25:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 29 Jun 2014 19:25:02 GMT) (full text, mbox, link).


Message #40 received at 108@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 108@bugs.x2go.org
Subject: Can we close #108?
Date: Sun, 29 Jun 2014 19:23:30 +0000
[Message part 1 (text/plain, inline)]
Hi Mike#2,

can we close bug #108 meanwhile? There are these X2Go Client builds  
with the misc fonts included.

How is the exact status of that nowadays?

Thanks for feedback!
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#108; Package x2goclient. (Mon, 30 Jun 2014 03:50:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 30 Jun 2014 03:50:02 GMT) (full text, mbox, link).


Message #45 received at 108@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 108@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#108: Can we close #108?
Date: Sun, 29 Jun 2014 23:49:56 -0400
Hi Mike#2,

I have not had much time to work on this. I have been thinking about it though.

1. Regardless of the rest of what we decide, do not close this bug
until is is more obvious about the different builds being available.
Please provide feedback to the email thread: "How to handle the
different Windows builds"
http://comments.gmane.org/gmane.linux.terminal-server.x2go.devel/7158
And notice that I created a "non-default-builds" subfolder for 4.0.2.1 previews:
http://code.x2go.org/releases/binary-win32/x2goclient/previews/4.0.2.1/
And I think the home page should be updated to link to the latest
stable folder (.e.g, releases/4.0.2.1/, not
releases/4.0.2.1/non-default-builds/) . And this will solve the
problem of people reporting to us that they installed
"X2GoClient_latest_mswin32-setup.exe"

2. The separate X2Go builds are a temporary fix. Having 3 separate
builds (before factoring in the debug build) are adding a lot more
work for me. I never intended to close this bug with only them
available.

3. I supposed we could close this bug and open a new bug report for a
better/permanent fix. Or clone this bug for a better/permanent fix.
I'll leave which approach to take to your judgment.

4. When I get more free time, I'll do the following for a better/permanent fix:

a. Determine why the fonts are needed by some Linux applications, but
not others.
b. Determine what the default should be (I am leaning towards the
"misc" set. Empirically, it solves the compatibility problems for most
people, if not everyone. The "full" set makes the installer take much
longer and adds lots more files to the filesystem, so I'd rather not
make that the default.)
c. I'll probably integrate them into the regular installer as an
optional component, instead of putting them in a separate installer.
This means that the installer will be 48.5 MB in size with solid lzma
compression (compared to 56.0 MB with zlib compression.) However, in
2014, I think that 48.5 MB is reasonable.

Do not expect the permanent fix to arrive in time for 4.0.2.1.

-Mike


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#108; Package x2goclient. (Mon, 30 Jun 2014 08:15:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 30 Jun 2014 08:15:02 GMT) (full text, mbox, link).


Message #50 received at 108@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Michael DePaulo <mikedep333@gmail.com>
Cc: 108@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#108: Can we close #108?
Date: Mon, 30 Jun 2014 08:13:26 +0000
[Message part 1 (text/plain, inline)]
Hi Michael,

On  Mo 30 Jun 2014 05:49:56 CEST, Michael DePaulo wrote:

> a. Determine why the fonts are needed by some Linux applications, but
> not others.
> b. Determine what the default should be (I am leaning towards the
> "misc" set. Empirically, it solves the compatibility problems for most
> people, if not everyone. The "full" set makes the installer take much
> longer and adds lots more files to the filesystem, so I'd rather not
> make that the default.)
> c. I'll probably integrate them into the regular installer as an
> optional component, instead of putting them in a separate installer.
> This means that the installer will be 48.5 MB in size with solid lzma
> compression (compared to 56.0 MB with zlib compression.) However, in
> 2014, I think that 48.5 MB is reasonable.

How about this:

We set up a new X2Go subproject called

  x2go-xfonts.git

This subproject contains _all_ extra fonts and mainly is an NSIS installer.

This installer can be used to install those extra fonts into the  
correct directory for X2Go Client _and_ for PyHoca-GUI.

The user/admin can install if he/she wants to install the fonts at  
both locations (%ProgramFiles%\x2golient, %ProgramFiles%\PyHoca-GUI)  
or only at one of them.

The X2Go Client setup.exe should remain rather minimal IMHO.

> Do not expect the permanent fix to arrive in time for 4.0.2.1.

Absolutely fine!

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#108; Package x2goclient. (Mon, 30 Jun 2014 12:40:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 30 Jun 2014 12:40:02 GMT) (full text, mbox, link).


Message #55 received at 108@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 108@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#108: Can we close #108?
Date: Mon, 30 Jun 2014 08:39:49 -0400
On Mon, Jun 30, 2014 at 4:13 AM, Mike Gabriel
<mike.gabriel@das-netzwerkteam.de> wrote:
> Hi Michael,
>
>
> On  Mo 30 Jun 2014 05:49:56 CEST, Michael DePaulo wrote:
>
>> a. Determine why the fonts are needed by some Linux applications, but
>> not others.
>> b. Determine what the default should be (I am leaning towards the
>> "misc" set. Empirically, it solves the compatibility problems for most
>> people, if not everyone. The "full" set makes the installer take much
>> longer and adds lots more files to the filesystem, so I'd rather not
>> make that the default.)
>> c. I'll probably integrate them into the regular installer as an
>> optional component, instead of putting them in a separate installer.
>> This means that the installer will be 48.5 MB in size with solid lzma
>> compression (compared to 56.0 MB with zlib compression.) However, in
>> 2014, I think that 48.5 MB is reasonable.
>
>
> How about this:
>
> We set up a new X2Go subproject called
>
>   x2go-xfonts.git
>
> This subproject contains _all_ extra fonts and mainly is an NSIS installer.
>
> This installer can be used to install those extra fonts into the correct
> directory for X2Go Client _and_ for PyHoca-GUI.
>
> The user/admin can install if he/she wants to install the fonts at both
> locations (%ProgramFiles%\x2golient, %ProgramFiles%\PyHoca-GUI) or only at
> one of them.
>
> The X2Go Client setup.exe should remain rather minimal IMHO.
>
>
>> Do not expect the permanent fix to arrive in time for 4.0.2.1.
>
>
> Absolutely fine!
>
>
[...]

As Mike#1 and agreed on IRC, I will put the fonts in the X2Go Client
installer as an optional component. These are the reasons:

1. Windows does not have a proper dependency system. So you can remove
x2goclient or pyhoca-gui without removing the fonts.
2. I have to maintain the mapping between x2goclient/pyhoca-gui
versions and the font package versions. This is because the fonts do
change with different VcXsrv releases
3. Users expect "all the dependencies and optional components" to be
in 1 installer on Windows. In fact, that is the recommendation for
Windows.

Also, we will close this bug once the fonts are in the X2Go Client installer.

-Mike#2


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#108; Package x2goclient. (Tue, 08 Jul 2014 00:05:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 08 Jul 2014 00:05:02 GMT) (full text, mbox, link).


Message #60 received at 108@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 108@bugs.x2go.org
Subject: Info on why some apps need the fonts but others don't
Date: Mon, 7 Jul 2014 20:03:27 -0400
I've determined why the fonts are needed by some Linux applications, but
not others.

Jon TURNEY from the Cygwin X11 project gave a very good overview:
https://cygwin.com/ml/cygwin-xfree/2014-07/threads.html#00002

Nomachine also had a very good explanation:
http://web.archive.org/web/20100323142457/http://www.nomachine.com/download-client-windows.php

The question is then what should the default be? misc only? or 75dpi,
100dpi, and misc?

misc is 412 files at 6.80 MB (7.94 MB on disk)
75dpi is 1,897 files at 10.7 MB (15.6 MB on disk)
100dpi is 1,897 files at 12.3 MB (16.8 MB on disk)
everything else is 466 files at 12.8MB (13.8 MB on disk)

I am leaning towards default to only misc, and then having separate
options for 75dpi, 100dpi, and for everything else.


Bug 108 cloned as bug 538 Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Tue, 08 Jul 2014 03:15:01 GMT) (full text, mbox, link).


Bug 108 cloned as bug 539 Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Tue, 08 Jul 2014 03:15:01 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#108; Package x2goclient. (Tue, 08 Jul 2014 03:20:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 08 Jul 2014 03:20:02 GMT) (full text, mbox, link).


Message #69 received at 108@bugs.x2go.org (full text, mbox, reply):

From: Mike DePaulo <mikedep333@gmail.com>
To: 108-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 108@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Tue, 8 Jul 2014 05:17:23 +0200 (CEST)
tag #108 pending
fixed #108 4.0.2.1
thanks

Hello,

X2Go issue #108 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=c0bc05f

The issue will most likely be fixed in src:x2goclient (4.0.2.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit c0bc05f8e607afaa3aeb49af62eaf5d21e572519
Author: Mike DePaulo <mikedep333@gmail.com>
Date:   Mon Jul 7 23:06:07 2014 -0400

    Windows: Include all fonts in NSIS installer, make them optional, and install only "misc" by default. (Fixes: #108) Also make desktop shortcut optional.

diff --git a/debian/changelog b/debian/changelog
index 3148ef4..f4e8419 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -56,12 +56,19 @@ x2goclient (4.0.2.1-0x2go1) UNRELEASED; urgency=low
 
   [ Mike DePaulo ]
   * New upstream release (4.0.2.1):
+    - Windows: Install VcXsrv "misc" fonts by default, and make all 4 font
+      groups optional: misc, 75dpi, 100dpi and others (Fixes: #108)
+      Note: The fact that all the fonts are included makes the installer about
+      30MB larger. (See next comment, it would be even larger.)
+    - Windows: Reduce the new size of NSIS installer by several MB
+      by switching to lzma solid compression
+    - Windows: Make the desktop shortcut optional during install,
+      but still the default.
     - Windows: Prevent high PulseAudio CPU usage on Windows XP by lowering
       PulseAudio's CPU priority from "high" to "normal" on XP specifically.
       Also do so on Windows Server 2003 (R2) (Fixes #526)
     - Windows: Enable PulseAudio log when --debug is passed.
     - Windows: Fix compatibility with current PulseAudio master branch
-    - Windows: Reduce size of NSIS installer by switching to lzma solid compression
     - Windows: cygwin packages (inluding patched OpenSSH 6.6.1p1-3) updated from
       latest versions as of 2014-04-08 to latest versions as of 2014-06-09. This
       includes openssl 1.0.1h-1, which fixes the 6 CVEs announced on 2014-06-05.


Added tag(s) pending. Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Tue, 08 Jul 2014 03:20:02 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.2.1. Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Tue, 08 Jul 2014 03:20:02 GMT) (full text, mbox, link).


Message sent on to Stephane Mutz <stephane.mutz@blinksight.com>:
Bug#108. (Tue, 08 Jul 2014 03:20:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#108; Package x2goclient. (Thu, 07 Aug 2014 20:45:01 GMT) (full text, mbox, link).


Acknowledgement sent to "Christopher J Wells (Generation - 6)" <christopher.j.wells@dom.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 07 Aug 2014 20:45:01 GMT) (full text, mbox, link).


Message #81 received at 108@bugs.x2go.org (full text, mbox, reply):

From: "Christopher J Wells (Generation - 6)" <christopher.j.wells@dom.com>
To: "108@bugs.x2go.org" <108@bugs.x2go.org>
Subject: X2Go bug 108, did that fix actually make it onto v 4.0.2.1?
Date: Thu, 7 Aug 2014 20:31:36 +0000
[Message part 1 (text/plain, inline)]
It does not appear to me that this fix got into v4.0.2.1.  Am I wrong?

Thanks!

Chris Wells


CONFIDENTIALITY NOTICE:  This electronic message contains information which may be legally confidential and or privileged and does not in any case represent a firm ENERGY COMMODITY bid or offer relating thereto which binds the sender without an additional express written confirmation to that effect.  The information is intended solely for the individual or entity named above and access by anyone else is unauthorized.  If you are not the intended recipient, any disclosure, copying, distribution, or use of the contents of this information is prohibited and may be unlawful.  If you have received this electronic transmission in error, please reply immediately to the sender that you have received the message in error, and delete it.  Thank you.
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#108; Package x2goclient. (Fri, 08 Aug 2014 13:00:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 08 Aug 2014 13:00:02 GMT) (full text, mbox, link).


Message #86 received at 108@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 108@bugs.x2go.org
Cc: "Christopher J Wells (Generation - 6)" <christopher.j.wells@dom.com>
Subject: Re: [X2Go-Dev] Bug#108: X2Go bug 108, did that fix actually make it onto v 4.0.2.1?
Date: Fri, 8 Aug 2014 08:56:26 -0400
On Thu, Aug 7, 2014 at 4:31 PM, Christopher J Wells (Generation - 6)
<christopher.j.wells@dom.com> wrote:
> It does not appear to me that this fix got into v4.0.2.1.  Am I wrong?
>
>[...]

Correct. This is a large change to the installer, so it was pushed
back to 4.0.3.0.

(In fact, it introduced a regression. It was reported to me by email,
so I committed the fix without a bug reported having been filed:
http://code.x2go.org/gitweb?p=x2goclient.git;a=commit;h=8262012db3f79331b798d08d021f65a55c9b8832
)

Sorry for the confusion.

I will now try to update the bug report now so that it does not say
"Fixed in version 4.0.2.1"


Marked as found in versions 4.0.2.1; no longer marked as fixed in versions 4.0.2.1. Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Fri, 08 Aug 2014 13:00:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#108; Package x2goclient. (Tue, 21 Oct 2014 11:30:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 21 Oct 2014 11:30:02 GMT) (full text, mbox, link).


Message #93 received at 108@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 108-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 108@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Tue, 21 Oct 2014 13:26:08 +0200 (CEST)
close #108
thanks

Hello,

we are very hopeful that X2Go issue #108 reported by you
has been resolved in the new release (4.0.3.0) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.3.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=04ed56d4162f000b093bea13aa2582c2de718144;hp=85bf0c6e7539910fff779689528009a897cdceb4

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.3.0-0x2go1
Status: RELEASE
Date: Tue, 21 Oct 2014 12:38:56 +0200
Fixes: 108 159 253 258 336 474 522 525 566 568 571 580 587 590 597 603 607 608 609 612 636
Changes: 
 x2goclient (4.0.3.0-0x2go1) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * New upstream release (4.0.3.0):
     - Disallow server-side users to override X2Go Server commands via
       ~/bin (or similar). (Fixes: #336).
     - Avoid unitialised variables on early calls of ONMainWindow::closeEvent()
       or ONMainWindow::closeClient(). (Fixes: #253).
     - Update translation files. Add empty Portuguese translation. Update
       qt_<lang>.qm files from Debian unstable as of today.
     - Update German translation file (after session folder feature got added).
     - Makefile.man2html: Test if man2html exists. If not, don't fail.
     - Honor exports (client-side shared folders) from broker session profiles.
       Thanks to Ming Song for providing a patch for this (Fixes: 612).
   * debian/control:
     + Add B-D: apache2-dev. On squeeze / lucid builds, this is a superfluous
       B-D, but for later Debian/Ubuntu versions, this smoothes the installation
       of the x2goplugin-provide bin:package.
     + Update B-D: apache2-dev | libc6-dev. The apache2-dev package does not
       exist on all Debian/Ubuntu versions.
   * x2goclient.spec:
     + Adapt to building for openSUSE/SLES.
     + openSUSE: Make Qt4 Linguist tools available for Makefile.
     + Upgrade versioned BR for libssh-devel (0.6.3 or patched 0.5.5).
     + The libqt4-linguist split off happened in openSUSE 13.1.
     + Add x2goclient-rpmlintrc file.
     + In openSUSE, it is openldap2-devel, in Fedora/RHEL it is openldap-devel.
     + In openSUSE, openssh is openssh (not openssh-clients / openssh-server).
 .
   [ Oleksandr Shneyder ]
   * New upstream release (4.0.3.0):
     - Fix running x2goclient without arguments on Windows. (Fixes: #522).
     - Save proxy output in $HOME/S-$SESSION-ID/session.log if debugging is
       enabled.
     - Fork x2goclient on windows and terminate child processes if X2Go Client
       crashed. (Fixes: #159).
     - Add "clipboard" parameter to session profile and to command line options.
       (Fixes: #258).
     - Replace qCritical() with printError() by argument parsing.
     - Update translation files.
     - Update russian translation.
     - Update string "&Clipboard Mode" and translate in russian translation file.
     - Grammar fix in russian translation.
     - Add x2gohelper to start X2Go Client on Windows and clean child processes
       if X2Go Client crashes. (Fixes: #525).
     - On Windows rename x2goclient.exe to x2goclient-mainprocess.exe and
       x2gohelper.exe to x2goclient.exe.
     - Start x2gohelper from X2Go Client. Revert name changing of X2Go Client and
       x2gohelper.
     - Add Makefile for x2gohelper.
     - Add support for sessions folders.
     - Add folder explorer: a GUI to manage of session subfolders.
     - Support for sessions subfolders in sessionmanagedialog.
     - Session name autocompletion only for sessions in current folder.
     - Support for session subfolders and command-line options "--session"
       and "--sessionid".
     - Disable session explorer "back" button if user sessions are disabled.
     - Include <QDir> in sessionexplorer.cpp.
     - Remove deprecated workaround in wapi.cpp.
     - Save folder icons Base64 coded. Save icons under General\icon_<PATH>.
       (Fixes: #580).
     - Fix placing sessions folders in broker mode.
     - Fix onmainwindow.cpp after 76ae96781f1d2d5754ee4751539d5de47f1d0297.
     - Add support for session selection in broker mode.
 .
   [ Mike DePaulo ]
   * New upstream release (4.0.3.0):
     - Make X2Go Client aware of the Cinnamon (CINNAMON) desktop environment.
       (Fixes: #571)
     - Make X2Go Client aware of the Trinity (TRINITY) desktop environment.
       (Fixes: #609)
     - Make X2Go Client aware of the Openbox (OPENBOX) window manager.
       (Fixes: #607)
     - Make X2Go Client aware of the IceWM (ICEWM) window manager.
       (Fixes: #608)
     - Windows: Fix not being able to add the server to the known_hosts file when
       the username has non-English characters. (Fixes: #566)
       (NOTE: This fix only works when the non-English characters are in the same
       language as the Windows "system locale" AKA "Language for non-Unicode
       programs." Bug #611 was written for fixing the issue for languages other
       than the system locale.)
       Thanks George Trakatelis (uom.edu.gr) for submitting part of this fix.
     - Windows: Install VcXsrv "misc" fonts by default, and make all 4 font
       groups optional: misc, 75dpi, 100dpi and others (Fixes: #108)
       Note: The fact that all the fonts are included makes the installer about
       30MB larger.
     - Windows: Bundle new version of VcXsrv: 1.15.2.1-xp+vc2013+x2go1
       This new version is based on upstream VcXsrv 1.15.2.0, but still
       compatible with Windows XP. It also has its bundled OpenSSL updated to
       1.0.1j. It is compiled with Microsoft Visual C++ 2013 and contains 1
       X2Go-specific change, winmultiwindow.patch. This patch fixes an issue
       when resizing the NX-proxy window on specific multiple monitor setups.
       (Thanks Oleksandr Shneyder for the patch) (Fixes: #568) (Fixes: #594)
     - Windows: Port from MinGW 4.4 + Qt 4.8.5 to MinGW 4.8.2 + Qt 4.8.6,
       including fix for QTBUG-38706 (Fixes: #474, #603)
     - Windows: Fix missing VcXsrv/zlib1.dll . The impact of this bug was that
       VcXsrv would not start if the cwd was changed from the x2goclient
       directory. (The start menu and desktop shortcuts do have the x2goclient
       directory as the cwd. So they were not affected.) (Fixes: #587)
     - Windows: Make the desktop shortcut optional during install,
       but still the default.
     - Windows: Upgrade libssh from 0.5.5 to 0.6.3. This fixes connecting to
       hpn-enabled SSH servers. The Pageant support patch from the KDE Windows
       project was ported to 0.6.3 by myself and Mike Frederick.
       (Gmail: psududemike) (Fixes: #590)
     - Windows: Win32 OpenSSL updated from 1.0.1h to 1.0.1j, which fixes the
       CVEs announced on 2014-08-06 & 2014-10-15.
     - Windows: Replace Cygwin Bash (sh.exe) with Cygwin Dash (ash.exe renamed
       to sh.exe). This also means fewer Cygwin .DLLs are bundled.
       (Fixes: #636)
     - Windows: cygwin packages (excluding OpenSSH, which is at the patched
       version of 6.6.1p1-3-x2go1) updated from latest versions as of 2014-06-09
       to latest versions as of 2014-10-18. This includes openssl 1.0.1j-1, which
       fixes the CVEs announced on 2014-08-06 & 2014-10.15.
       (Cygwin openssl was also individually updated in 4.0.2.1+hotfix1+build2,
       but only to 1.0.1i-1.)
     - Windows: Build nxproxy.exe with Cygwin's libpng 1.5.x rather than 1.2.x.
       (This may improve performance when PNG compression is selected.)
     - Windows: Build cygwin openssh without krb5 or tcp_wrappers support because
       X2Go Client for Windows does not use either feature.
       (On Windows, Kerberos 5 (GSSAPI) support is provided by PuTTY.)
     - Windows: Fix text not being rendered properly at end of NSIS installer
       (Fixes: #597)
 .
   [ Stefan Baur ]
   * New upstream version (4.0.3.0):
     - Update German translation file.
 .
   [ Ricardo Díaz Martín ]
   * New upstream version (4.0.3.0):
     - Update Spanish translation file.
 .
   [ Martti Pitkanen ]
   * New upstream version (4.0.3.0):
     - Update Finnish translation file.
 .
   [ Jos Wolfram ]
   * New upstream version (4.0.3.0):
     - Update Dutch translation file.
 .
   [ Robert Parts ]
   * New upstream version (4.0.3.0):
     - Add Estonian translation file.
 .
   [ Klaus Ade Johnstad ]
   * New upstream version (4.0.3.0):
     - Update Bokmal (Norway) translation file.
 .
   [ Daniel Lindgren ]
   * New upstream version (4.0.3.0):
     - Update Swedish translation file.
 .
   * Translation status:
     OK - Updating 'x2goclient/x2goclient_de.qm'...
       Generated 566 translation(s) (566 finished and 0 unfinished)
     INCOMPLETE - Updating 'x2goclient/x2goclient_da.qm'...
       Generated 536 translation(s) (526 finished and 10 unfinished)
       Ignored 30 untranslated source text(s)
     OK - Updating 'x2goclient/x2goclient_es.qm'...
       Generated 566 translation(s) (566 finished and 0 unfinished)
     OK - Updating 'x2goclient/x2goclient_et.qm'...
       Generated 566 translation(s) (566 finished and 0 unfinished)
     OK - Updating 'x2goclient/x2goclient_fi.qm'...
       Generated 566 translation(s) (566 finished and 0 unfinished)
     INCOMPLETE - Updating 'x2goclient/x2goclient_fr.qm'...
       Generated 254 translation(s) (201 finished and 53 unfinished)
       Ignored 312 untranslated source text(s)
     OK - Updating 'x2goclient/x2goclient_nb_no.qm'...
        Generated 566 translation(s) (566 finished and 0 unfinished)
     OK - Updating 'x2goclient/x2goclient_nl.qm'...
       Generated 566 translation(s) (566 finished and 0 unfinished)
     UNTRANSLATED - Updating 'x2goclient/x2goclient_pt.qm'...
       Generated 0 translation(s) (0 finished and 0 unfinished)
       Ignored 566 untranslated source text(s)
     INCOMPLETE - Updating 'x2goclient/x2goclient_ru.qm'...
       Generated 552 translation(s) (543 finished and 9 unfinished)
       Ignored 14 untranslated source text(s)
     OK - Updating 'x2goclient/x2goclient_sv.qm'...
       Generated 566 translation(s) (566 finished and 0 unfinished)
     INCOMPLETE - Updating 'x2goclient/x2goclient_zh_tw.qm'...
       Generated 397 translation(s) (372 finished and 25 unfinished)
       Ignored 169 untranslated source text(s)


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 21 Oct 2014 11:30:20 GMT) (full text, mbox, link).


Notification sent to Stephane Mutz <stephane.mutz@blinksight.com>:
Bug acknowledged by developer. (Tue, 21 Oct 2014 11:30:20 GMT) (full text, mbox, link).


Message sent on to Stephane Mutz <stephane.mutz@blinksight.com>:
Bug#108. (Tue, 21 Oct 2014 11:30:36 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Wed, 19 Nov 2014 06:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Sep 20 04:08:17 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.